require 'pg'
require 'yaml'
require 'json'

require 'ottoman_orm/datastore'
require 'ottoman_orm/error'
require 'ottoman_orm/representation'
require 'ottoman_orm/model'
require 'ottoman_orm/version'
require 'ottoman_orm/core_ext'

module OttomanORM
    @@client = nil

    def self.connect parameters = {}
        @@client = Datastore.new(parameters)
    end

    def self.client
        @@client
    end

    def self.hello
        'hello'
    end
end
